- Home
- API Enriched
- Shape
- shape
- GET Form Field.
GET Form Field.
GET
/api/shape/csd/namespaces/{namespace}/formFields/{id}
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/formFields/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/formFields/example \ --header 'Authorization: <Authorization>'GET form field for the name of the form field.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace.
id
required
string
ID ID of the form field.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
GetFormFieldResponse
Response to GET form field.
object
associated_scripts
associated_scripts
Associated scripts of the form field.
Array<string>
id
id
ID of the form field.
string
name
name
Name of the form field.
string
Examplegenerated
{ "associated_scripts": [ "example" ], "id": "example", "name": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example